<script>
    import config from '../../config.json';
    import dateformat from 'dateformat';

    let currentTime = dateformat("HH:MM");
    setInterval(() => {currentTime = dateformat("HH:MM")}, 5000);
</script>

<style lang="scss">
    div {
        background-position: center;
        background-size: cover;
        border-radius: 20px 0 0 20px;

        div {
            width: calc(100% - 30px);
            height: calc(100% - 30px);

            display: flex;
            padding: 15px;
            background: linear-gradient( rgba(0, 0, 0, 0.7),  rgba(0, 0, 0, 0.7) );

            span {
                font-size: 3rem;
                font-weight: 300;
            }
        }
    }
</style>

<div style="background-image: url({ config.backdrop })">
    <div>
        <span> { currentTime } </span>
    </div>
</div>